xSTREAM_BUFFER Struct Reference

## Data Fields

volatile size_t | xTail
volatile size_t | xHead
size_t | xLength
size_t | xTriggerLevelBytes
volatile TaskHandle_t | xTaskWaitingToReceive
volatile TaskHandle_t | xTaskWaitingToSend
uint8_t * | pucBuffer
uint8_t | ucFlags

## Field Documentation

## pucBuffer

uint8_t* pucBuffer

## ucFlags

uint8_t ucFlags

## xHead

volatile size_t xHead

## xLength

size_t xLength

## xTail

volatile size_t xTail

## xTaskWaitingToReceive

volatile TaskHandle_t xTaskWaitingToReceive

## xTaskWaitingToSend

volatile TaskHandle_t xTaskWaitingToSend

## xTriggerLevelBytes

size_t xTriggerLevelBytes

The documentation for this struct was generated from the following file:

- stream_buffer.c